package com.newrelic.api.agent;

/**
 * A {@link com.newrelic.api.agent.Response} that provides more information for reporting to New Relic. API users should
 * extend this class when wrapping their HTTP responses rather than simply implementing
 * {@link com.newrelic.api.agent.Response} to receive additional functionality.
 */
public abstract class ExtendedResponse implements Response {

    /**
     * The Content-Length for this response
     *
     * @return Content-Length (in bytes) for this response
     */
    public abstract long getContentLength();
    
}
